@echo off
 
setlocal
 
REM  Здесь указываем каталог к Android SDK
if x%ANDROID% == x set ANDROID=C:\Users\Public\Documents\Embarcadero\Studio\14.0\PlatformSDKs\adt-bundle-windows-x86-20131030\sdk
REM  Здесь указываем версию Android платформы
set ANDROID_PLATFORM=%ANDROID%\platforms\android-19
set DX_LIB=%ANDROID%\build-tools\19.0.1\lib
set EMBO_DEX="C:\Program Files\Embarcadero\Studio\14.0\lib\android\debug\classes.dex"
set PROJ_DIR=%CD%
set VERBOSE=0
 
echo ==========================================================================================
echo.
echo   1. Compiling the Java service activity source files
echo.
mkdir output 2> nul
mkdir output\classes 2> nul
if x%VERBOSE% == x1 SET VERBOSE_FLAG=-verbose
javac %VERBOSE_FLAG% -Xlint:deprecation -cp %ANDROID_PLATFORM%\android.jar -d "output\classes" "src\com\test\AlarmReceiver.java"
 
echo ==========================================================================================
echo.
echo   2. Creating jar containing the new classes
echo.
mkdir output\jar 2> nul
if x%VERBOSE% == x1 SET VERBOSE_FLAG=v
jar c%VERBOSE_FLAG%f %PROJ_DIR%\output\jar\test_classes.jar -C output\classes com\test\AlarmReceiver.class
 
echo ==========================================================================================
echo.
echo   3. Converting from jar to dex...
echo.
mkdir output\dex 2> nul
if x%VERBOSE% == x1 SET VERBOSE_FLAG=--verbose
call %DX_LIB%\dx.jar --dex %VERBOSE_FLAG% --output=output\dex\test_classes.dex output\jar\test_classes.jar
 
echo ==========================================================================================
echo.
echo Merging dex files
echo.com.android.dx.merge.DexMerger
java -cp %DX_LIB%\dx.jar com.android.dx.merge.DexMerger %PROJ_DIR%\output\dex\classes.dex %PROJ_DIR%\output\dex\test_classes.dex %EMBO_DEX%
 
echo Tidying up
echo.
REM rmdir /s /q output\classes
REM del output\dex\test_classes.dex
REM rmdir /s /q output\jar
 
echo ==========================================================================================
echo Now we have the end result, which is output\dex\classes.dex
 
:Exit
 
endlocal